Subject: Re: Motif and Xt Widgets using Cygwin20/NT
From: Chris Faylor <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jul 2000 11:47:23 -0400

Please use the correct mailing list for this query.

The mailing lists are mentioned at the project web site:

http://sourceware.cygnus.com/cygwin/

On Fri, Jul 14, 2000 at 11:43:49AM -0400, Poor, Jeff wrote:
>I'm attempting to port a large GUI application (written in C) that
>originally ran on an Alpha/VMS system onto a PC running NT4.0.  By no means
>am I a Motif/X11 expert, but I have successfully ported this application to
>a SUN/Solaris platform with very little effort.
>
>I've installed Cygwin with the Cygwin_B20_full.exe, and have used the
>cygwin-xfree-x11r6.4-cygwin-B20.1.tar file to get the latest X11 & Motif.
>(Note, I danced around quite a bit getting correct version that worked,
>DLLs, etc.)
>
>At this point, a large number of the Motif Widget classes aren't being found
>.... for instance, when I go to link I see things such as:
>
>  undefined reference to `xmTextWidgetClass'
>  undefined reference to `xmSeparatorWidgetClass'
>  undefined reference to `xmArrowButtonWidgetClass'
>  undefined reference to `xmArrowButtonWidgetClass'
>  undefined reference to `xmSeparatorWidgetClass'
>  undefined reference to `xmTextWidgetClass'
>  undefined reference to `XmTextSetString'
>
>Each of these classes are defined as "extern" with the *.h (header) files
>under /X11R6.4/lesstif/Motif1.2/include (and Motif2.0).
>
>There are also some totally undefined functions (Xshm, Xmalloc, Xcalloc,
>XWidthofScreen, ...) that are present within VMS and Solaris, but don't
>appear anywhere in the Xfree bundle.
>
>----------------------------------------------------------------------------
>----
>Also, in the link phase I get the following messages which are X11 related
>but not specific to the above mission objects:
>
>   /.../X11R6.4/lib/libXt.a(Shell.o)(.text+0x35aa):Shell.c: undefined
>reference to `IceConnectionNumber'
>   /.../X11R6.4/lib/libXt.a(Shell.o)(.text+0x3c44):Shell.c: undefined
>reference to `IceProcessMessages'
>
>Any leads on what these anomalies are caused by?  THANKS!!!!
>
>
>Jeff Poor
>Northrop Grumman
>Airborne Ground Surveillance and Battle Management Systems 
>Melbourne, Florida
>(321) 726-7335   [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]